+ Reply to Thread
Results 1 to 4 of 4
  1. #1
    Black Belt
    Join Date
    Jul 2004
    Posts
    5,744
    BG Level
    8
    FFXI Server
    Bahamut

    PSP Downgrade 2.0 -> 1.5 [Finally!]

    For those who regret upgrading their firmware to 2.0 then here is the downgrader.

    http://forums.qj.net/showthread.php?p=177883#post177883

    I downgraded my psp from 2.0 to 1.5 and it worked! The reason why you want 1.5 over 2.0 is because of the homebrews (emulators, cool programs, they got mac OS running on PSP LOL)


    Also, use this version of 1.5 ( http://files.pspupdates.qj.net/cgi-bin/ ... ,0,40,1410 ) as the one that was posted there is japanese.



    yay

  2. #2

  3. #3

    EAT IT!

    Edit, about that MAC thing. I laughed when I read it. took 4 hours to boot, lol

  4. #4
    Black Belt
    Join Date
    Jul 2004
    Posts
    5,744
    BG Level
    8
    FFXI Server
    Bahamut

    yeah but my threads are better

Quick Reply Quick Reply

  • Decrease Size
    Increase Size
  • Remove Text Formatting
  • Insert Link Insert Image Insert Video
  • Wrap [QUOTE] tags around selected text
  • Insert NSFW Tag
  • Insert Spoiler Tag

Similar Threads

  1. Final Fantasy Tactics PSP(Again for Tonko and others)
    By LinktheDeme in forum General Discussion
    Replies: 2
    Last Post: 2007-11-04, 23:43
  2. Final Fantasy Tactics : The Lion War PSP
    By LinktheDeme in forum General Discussion
    Replies: 5
    Last Post: 2007-11-04, 17:10
  3. PSP 3.03 DOWNGRADER NOW OUT!
    By Ikith in forum General Discussion
    Replies: 63
    Last Post: 2007-02-16, 20:32
  4. PSP 2.0 downgrade working
    By Pete in forum General Discussion
    Replies: 1
    Last Post: 2005-09-27, 23:11